SDL_MemoryBarrierAcquire(3)

NAME
SDL_MemoryBarrierAcquire - Insert a memory acquire barrier (macro version).

SYNOPSIS
#include <SDL3/SDL_atomic.h>

#define SDL_MemoryBarrierAcquire() SDL_MemoryBarrierAcquireFunction()

DESCRIPTION
Please see SDL_MemoryBarrierRelease for the details on what memory barriers are and when to use them.

This is the macro version of this functionality; if possible, SDL will use compiler intrinsics or inline assembly, but some platforms might need to call the function version of this, SDL_MemoryBarrierAcquireFunction, to do the heavy lifting. Apps that can use the macro should favor it over the function.

THREAD SAFETY
Obviously this macro is safe to use from any thread at any time, but if you find yourself needing this, you are probably dealing with some very sensitive code; be careful!

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_MemoryBarrierRelease(3), SDL_MemoryBarrierAcquireFunction(3)